Bug 241532 - Review Request: angrydd - Falling blocks game
Summary: Review Request: angrydd - Falling blocks game
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-27 12:20 UTC by Rafał Psota
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-16 23:13:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gwync: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Rafał Psota 2007-05-27 12:20:22 UTC
Spec URL: http://rafalzaq.nonlogic.org/fedora/angrydd/angrydd.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/angrydd/angrydd-1.0.1-1.src.rpm
Description: In Angry, Drunken Dwarves (ADD), you are an angry, drunken dwarf. Why are you
so angry? Who knows. But you've decided to take your aggression out on other
dwarves, by dropping gems on their heads. Lots of gems. ADD is a member of the
classic "falling blocks" puzzle game family, similar to the Capcom game Puzzle
Fighter. The goal of the game is to build large gems by matching up colors,
then break them, raining more gems down onto your opponent. The first person
whose field fills up, loses.

Comment 1 Gwyn Ciesla 2007-05-29 13:27:41 UTC
rpmlint clean.
package/spec names OK.


Comment 2 Gwyn Ciesla 2007-05-29 13:53:49 UTC
From COPYING:
----------------------------------------------------------------------------
death.wav: Copyright 2003 Manuel Moss (http://armagetron.sf.net/)
break.wav: Copyright 2003 John-Paul Gignac (http://pathological.sf.net)
gameover.wav: Copyright 2002 Pete Shinners (http://www.pygame.org)

pickaxe.svg: Copyright 2004 Jenn Hartnoll
diamond1.svg: Copyright 2004 Michael Urman
Character portraits: Copyright 2004 Jessi Silver

intro.ogg: Copyright 2004 Brendan Becker
single.ogg, versus-1.ogg: Copyright 2005 Ben Zeigler

clicked.wav, rotate.wav, select-confirm.wav, select-move.wav,
and tick.wav: Released into the public domain. If this is not allowed
in your jurisdiction, you may freely copy, distribute, modify, and
distribute modified versions of these files, for any purpose.

All else: Copyright 2004 Joe Wreschnig <piman@sacredchao.net>

Unless otherwise noted above, all material (source code, documentation,
and game data) is licensed under the GNU GPL version 2 as published by
the Free Software Foundation, copyrighted by the owners credited above.
The full text of the license follows.

--------------------------------------------------------

What is the redistributability* of the Copyrighted audio files?  We see who the
owners are but not whether they may be included or not. Are they all GPL, and
the copyright notices are just supplying attribution?
Otherwise meets packaging guidelines.

*Note: this may not actually be a word.



Comment 3 Gwyn Ciesla 2007-05-29 14:46:02 UTC
Spec is legible, American English.
md5 source matches.
Compiles/installs/runs on FC6/i386, noarch.


Comment 4 Gwyn Ciesla 2007-05-29 14:55:39 UTC
BuildRequires are fine, builds in mock fc-6.
No locales.
No shared or static libraries.
Not relocatable.
Owns all created dirs.
No duplicates or permission issues.
%files begins with defattr.
%clean present and correct.



Comment 5 Gwyn Ciesla 2007-05-29 14:58:44 UTC
Macros look good.
Code, not content.
No large docs.
No headers.
No pkgconfig files.


Comment 6 Gwyn Ciesla 2007-05-29 17:14:32 UTC
No devel package or .la archives.
.desktop present and good, save s/Built/Build/ in description.
No ownership conflicts.
%install begins by wiping buildroot.
Filenames are all UTF-8.

MUSTs look OK, except for license question and .desktop typo.

Comment 7 Gwyn Ciesla 2007-07-04 17:38:07 UTC
Will there be a new spec an SRPM reflecting the above?  This is deliciously
close to approval. . .

Comment 8 Gwyn Ciesla 2007-07-12 18:44:17 UTC
Ping?

Comment 9 Hans de Goede 2007-07-13 14:24:28 UTC
(In reply to comment #2)
> From COPYING:
> ----------------------------------------------------------------------------
> death.wav: Copyright 2003 Manuel Moss (http://armagetron.sf.net/)
> break.wav: Copyright 2003 John-Paul Gignac (http://pathological.sf.net)
> gameover.wav: Copyright 2002 Pete Shinners (http://www.pygame.org)
> 

These are all under the GPL and thus match this:

> Unless otherwise noted above, all material (source code, documentation,
> and game data) is licensed under the GNU GPL version 2 as published by
> the Free Software Foundation, copyrighted by the owners credited above.
> The full text of the license follows.
> 


So I read the text above as everything being GPL except for these:

> clicked.wav, rotate.wav, select-confirm.wav, select-move.wav,
> and tick.wav: Released into the public domain. If this is not allowed
> in your jurisdiction, you may freely copy, distribute, modify, and
> distribute modified versions of these files, for any purpose.
> 

And these are public domain and thus fine too. IOW I don't see a license problem
here, I hope this helps.

Rafal, with that cleared, any chance you can comment on the other parts of the
review so kindly done by Jon?


Comment 10 Rafał Psota 2007-07-15 21:01:51 UTC
Sorry for no response. I was on vacation in last two weeks.

Spec URL: http://rafalzaq.nonlogic.org/fedora/angrydd/angrydd.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/angrydd/angrydd-1.0.1-2.fc7.src.rpm

Comment 11 Gwyn Ciesla 2007-07-16 12:24:21 UTC
Vacation?  What's that? :)

Looks good.  APPROVED.

Comment 12 Rafał Psota 2007-07-16 21:06:31 UTC
New Package CVS Request
=======================
Package Name: angrydd
Short Description: Falling blocks game
Owners: rafalzaq@gmail.com
Branches: F-7
InitialCC: 

Comment 13 Rafał Psota 2007-07-16 23:13:53 UTC
Thanks for review.

Imported and built.


Note You need to log in before you can comment on or make changes to this bug.